type token =
  | NUM of (int)
  | ID of (string)
  | INT
  | PLUS
  | MINUS
  | STAR
  | ASSIGNEQ
  | EQ
  | LE
  | GT
  | NOT
  | NEQ
  | IF
  | ELSE
  | WHILE
  | READ
  | PRINT
  | SEMICOLON
  | VAR
  | SKIP
  | LBRACE
  | RBRACE
  | LPAREN
  | RPAREN
  | EOF
  | TRUE
  | FALSE
  | COMMA
  | DOT

val program :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> C.program
